---
lang: en
title: 'API docs: model-api-builder.modelapibuilder'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/model-api-builder
permalink: /doc/en/lb4/apidocs.model-api-builder.modelapibuilder.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/model-api-builder](./model-api-builder.md) &gt; [ModelApiBuilder](./model-api-builder.modelapibuilder.md)

## ModelApiBuilder interface

Interface for extensions contributing custom API flavors.

**Signature:**

```typescript
export interface ModelApiBuilder 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[pattern](./model-api-builder.modelapibuilder.pattern.md)


</td><td>

`readonly`


</td><td>

string


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[build(application, modelClass, config)](./model-api-builder.modelapibuilder.build.md)


</td><td>


</td></tr>
</tbody></table>


